Subject: Re: bug#58807: 28.1; Authentication in Gnus using password-store backend of auth-source

From: Filipp Gunbin <[email-masked]>
Date: Thu, 27 Oct 2022 20:55:25 +0300

On 27/10/2022 18:28 +0200, Robert Pluim wrote:

>>>>>> On Thu, 27 Oct 2022 17:04:18 +0300, Filipp Gunbin <[email-masked]> said:
>     Filipp> (defun auth-source-pass-entries ()
>     Filipp>   "Return a list of all password store entries."
>     Filipp>   (let ((store-dir (expand-file-name auth-source-pass-filename)))
>     Filipp>     (mapcar
>     Filipp>      (lambda (file) (file-name-sans-extension (file-relative-name file store-dir)))
>     Filipp>      (directory-files-recursively store-dir "\\.gpg\\'"))))
>
> So `auth-source-pass-filename' is actually a *directory*. <sigh>
> Perhaps we need an obsoletion and and alias.
>
>     Filipp> I tested using setup similar to yours, but with gpg files -- it worked.
>
> I saw nothing in Bartoszʼ original bugreport indicating that the files
> were not gpg encrypted, nor that they were.

I thought that these were files/dirs:

> Password Store
> ├── 127.0.0.1
[..]

But now I see that it's the output of "pass" (never used "pass" or
auth-source-pass before).

So probably the files are good, and it was really
auth-source-forget-all-cached that helped (auth-source-pass-enable does
nothing more than modifying auth-sources and calling it).

Filipp